## com.fusioncharts
Enum FCParameters.FCParams

    java.lang.Object
      java.lang.Enum<FCParameters.FCParams>
          com.fusioncharts.FCParameters.FCParams

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FCParameters.FCParams>

Enclosing class:
  FCParameters

    static enum FCParameters.FCParams

extends java.lang.Enum<FCParameters.FCParams>

Enum for the parameters to the FusionCharts JS constructor

Author:
  InfoSoft Global (P) Ltd.

Enum Constant Summary
`AUTOINSTALLREDIRECT`
`BGCOLOR`
`DATAFORMAT`
`DATASOURCE`
`DEBUGMODE`
`DETECTFLASHVERSION`
`HEIGHT`
`ID`
`LANG`
`MENU`
`QUALITY`
`REGISTERWITHJS`
`RENDERAT`
`RENDERER`
`SCALEMODE`
`SWFURL`
`WIDTH`
`WMODE`

Field Summary
`(package private) java.lang.String` `paramName`

Method Summary
`java.lang.String` `getParamName()`
`static FCParameters.FCParams` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FCParameters.FCParams[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SWFURL

    public static final FCParameters.FCParams SWFURL

### WIDTH

    public static final FCParameters.FCParams WIDTH

### HEIGHT

    public static final FCParameters.FCParams HEIGHT

### RENDERAT

    public static final FCParameters.FCParams RENDERAT

### RENDERER

    public static final FCParameters.FCParams RENDERER

### DATASOURCE

    public static final FCParameters.FCParams DATASOURCE

### DATAFORMAT

    public static final FCParameters.FCParams DATAFORMAT

### ID

    public static final FCParameters.FCParams ID

### LANG

    public static final FCParameters.FCParams LANG

### DEBUGMODE

    public static final FCParameters.FCParams DEBUGMODE

### REGISTERWITHJS

    public static final FCParameters.FCParams REGISTERWITHJS

### DETECTFLASHVERSION

    public static final FCParameters.FCParams DETECTFLASHVERSION

### AUTOINSTALLREDIRECT

    public static final FCParameters.FCParams AUTOINSTALLREDIRECT

### WMODE

    public static final FCParameters.FCParams WMODE

### SCALEMODE

    public static final FCParameters.FCParams SCALEMODE

### MENU

    public static final FCParameters.FCParams MENU

### BGCOLOR

    public static final FCParameters.FCParams BGCOLOR

### QUALITY

    public static final FCParameters.FCParams QUALITY

Field Detail

### paramName

    java.lang.String paramName

Method Detail

### values

    public static FCParameters.FCParams[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FCParameters.FCParams c : FCParameters.FCParams.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FCParameters.FCParams valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getParamName

    public java.lang.String getParamName()